## textrender textrender |

## Properties

gchar * | font-desc | Write
GstTextRenderHAlign | halignment | Read / Write
GstTextRenderLineAlign | line-alignment | Read / Write
GstTextRenderVAlign | valignment | Read / Write
gint | xpad | Read / Write
gint | ypad | Read / Write

## Types and Values

struct | GstTextRender
enum | GstTextRenderHAlign
enum | GstTextRenderLineAlign
enum | GstTextRenderVAlign

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstTextRender

## Description

This plugin renders text received on the text sink pad to a video buffer (retaining the alpha channel), so it can later be overlayed on top of video streams using other elements.

The text can contain newline characters. (FIXME: What about text wrapping? It does not make sense in this context)

#### Example launch lines

    1
    gst-launch-1.0 -v filesrc location=subtitles.srt ! subparse ! textrender ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | pango
author | David Schleef <ds@schleef.org>, GStreamer maintainers <gstreamer-devel@lists.freedesktop.org>
class | Filter/Editor/Video

### Element Pads

name | sink
direction | sink
presence | always
details | text/x-raw, format=(string){ pango-markup, utf8 }

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ AYUV, ARGB }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstTextRender

    struct GstTextRender;

Opaque textrender data structure.

### enum GstTextRenderHAlign

Horizontal alignment of the text.

#### Members

GST_TEXT_RENDER_HALIGN_LEFT | align text left |
GST_TEXT_RENDER_HALIGN_CENTER | align text center |
GST_TEXT_RENDER_HALIGN_RIGHT | align text right |

### enum GstTextRenderLineAlign

Alignment of text lines relative to each other

#### Members

GST_TEXT_RENDER_LINE_ALIGN_LEFT | lines are left-aligned |
GST_TEXT_RENDER_LINE_ALIGN_CENTER | lines are center-aligned |
GST_TEXT_RENDER_LINE_ALIGN_RIGHT | lines are right-aligned |

### enum GstTextRenderVAlign

Vertical alignment of the text.

#### Members

GST_TEXT_RENDER_VALIGN_BASELINE | draw text on the baseline |
GST_TEXT_RENDER_VALIGN_BOTTOM | draw text on the bottom |
GST_TEXT_RENDER_VALIGN_TOP | draw test on top |

## Property Details

### The `“font-desc”` property

      “font-desc”                gchar *

Pango font description of font to be used for rendering. See documentation of pango_font_description_from_string for syntax.

Flags: Write

Default value: ""

### The `“halignment”` property

      “halignment”               GstTextRenderHAlign

Horizontal alignment of the text.

Flags: Read / Write

Default value: center

### The `“line-alignment”` property

      “line-alignment”           GstTextRenderLineAlign

Alignment of text lines relative to each other.

Flags: Read / Write

Default value: center

### The `“valignment”` property

      “valignment”               GstTextRenderVAlign

Vertical alignment of the text.

Flags: Read / Write

Default value: baseline

### The `“xpad”` property

      “xpad”                     gint

Horizontal paddding when using left/right alignment.

Flags: Read / Write

Allowed values: >= 0

Default value: 25

### The `“ypad”` property

      “ypad”                     gint

Vertical padding when using top/bottom alignment.

Flags: Read / Write

Allowed values: >= 0

Default value: 25

## See Also

GstTextOverlay